package com.ann.demo.normalEntity;


import lombok.Data;

import javax.persistence.*;

/**
 * @Description 用户
 * @Date 2019/6/15 16:57
 * @Created by  ljx
 */

@Table(name = "power_User")
@Entity
@Data
public class User {

    /**
     * 用户标识
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "user_Id")
    private Integer id;

    @Column(name = "user_Name")
    private String USER_ID;

    /**
     * 用户姓名
     */
    @Column(name = "name")
    private String USER_NAME;

    /**
     * 用户科室
     */
    @Column(name = "dept_Id")
    private String USER_DEPT;

    /**
     * 用户密码
     * 默认密码 000000
     */
    @Column(name = "user_Pwd")
    private String USER_PWD = "RERERERE";

    /**
     * 建立日期
     */
    @Column(name = "create_Date")
    private String CREATE_DATE;

    /**
     * 用户类型 用户角色 0 为医生,1 为护士；
     */
    @Column(name = "role_Id")
    private Integer USER_TYPE;


    // 1为有效 0为无效
    @Column(name = "effective")
    private Integer isValid = 1;

    /**
     * 1 有资质 0 无资质；
     */
    @Column(name = "remark")
    private Integer EDUCATION_FLAG;

    /**
     * 创造者
     */
    private String creater = "ann";

    /**
     * 更新者
     */
    private String updater;



    /**
     * 更新时间
     */ @Column(name = "update_Date")
    private String updateDate;

}
