package com.ann.demo.primaryRepository;

import com.ann.demo.normalEntity.PowerDept;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import javax.transaction.Transactional;
import java.util.List;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/9/21 16:04
 */
@Repository
public interface PowerDeptRepository extends JpaRepository<PowerDept, Integer> {

    public PowerDept findByDeptCodeAndEffective(String deptCode, Integer effective);

    @Transactional
    @Modifying
    @Query("update PowerDept o  set  o.effective = 0 where o.deptId = ?1 and o.effective = 1 ")
    void updatePowerDept(Integer deptId);


    public List<PowerDept> findByEffective(Integer effective);
}
