package com.ann.demo.primaryRepository;

import com.ann.demo.normalEntity.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import javax.transaction.Transactional;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/7/16 9:53
 */
@Repository
public interface UserRepository extends JpaRepository<User, String> {

    @Query(value = "select o from User o where o.USER_ID = ?1 and o.isValid = ?2")
    public User findByUSER_IDAndIsValid(String userName,Integer effective);

    @Transactional
    @Modifying
    @Query(value = "update User o set o.isValid = 0 where o.id = ?1 and o.isValid = 1")
    void updateUser(Integer id);
}
